Home

Import a multisig account

POST
https://algo.nownodes.io/v1/multisig/import

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Generates a multisig account from the passed public keys array and multisig metadata, and stores all of this in the wallet.

Body

application/json

APIV1POSTMultisigImportRequest is the request for POST /v1/multisig/import

multisig_versioninteger<uint8>
pksArray<PublicKey>
thresholdinteger<uint8>
wallet_handle_tokenstring

Response

200OK

Response to POST /v1/multisig/import